> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loopreturns.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Webhooks

> Get all webhook subscriptions. This includes webhooks created
programmatically and webhooks created in the Loop Admin.




## OpenAPI

````yaml get /webhooks
openapi: 3.1.0
info:
  title: Programmatic Webhooks API
  version: v1
  description: API used for creating, retrieving, updating, and deleting webhooks.
servers:
  - url: https://api.loopreturns.com/api/v1
security: []
tags:
  - name: Programmatic Webhooks
paths:
  /webhooks:
    get:
      tags:
        - Programmatic Webhooks
      summary: Get Webhooks
      description: |
        Get all webhook subscriptions. This includes webhooks created
        programmatically and webhooks created in the Loop Admin.
      operationId: getWebhooks
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                properties:
                  webhooks:
                    type: array
                    description: An array of webhook subscriptions.
                    items:
                      $ref: '#/components/schemas/Webhook'
      security:
        - oauth2:
            - developer_tools
        - api_key: []
components:
  schemas:
    Webhook:
      type: object
      properties:
        id:
          type: integer
          examples:
            - 12345
          description: The webhook's unique identifier.
        shop_id:
          type: integer
          examples:
            - 65432
          description: The unique identifier of the shop that created the webhook.
        topic:
          $ref: '#/components/schemas/TopicEnum'
        trigger:
          $ref: '#/components/schemas/TriggerEnum'
        url:
          $ref: '#/components/schemas/WebhookUrl'
        status:
          $ref: '#/components/schemas/StatusEnum'
    TopicEnum:
      type: string
      description: The webhook's topic.
      enum:
        - return
        - label
        - restock
        - label.request
        - giftcard
        - happy.returns.shipment
      examples:
        - return
    TriggerEnum:
      type: string
      description: The condition which triggers the webhook.
      enum:
        - return.created
        - return.updated
        - return.closed
        - label.created
        - label.updated
        - restock.requested
        - label.request.issued
        - label.request.cancelled
        - giftcard.requested
        - shipment.processed
      examples:
        - return.created
    WebhookUrl:
      type: string
      examples:
        - https://example.com/webhook
      description: The webhook's URL.
    StatusEnum:
      type: string
      description: The webhook's status.
      enum:
        - active
        - inactive
  securitySchemes:
    oauth2:
      type: oauth2
      description: OAuth 2.0 authorization
      flows:
        authorizationCode:
          authorizationUrl: https://oauth.loopreturns.com/authorize
          tokenUrl: https://oauth.loopreturns.com/oauth/token
          scopes:
            developer_tools: Access to developer tools including webhooks
    api_key:
      type: apiKey
      name: X-Authorization
      in: header

````